import { __decorate } from 'tslib';
import { Pipe, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { map, shuffle, sample, range, flatten, values, invert } from 'underscore';

let MapPipe = class MapPipe {
    transform(value, args) {
        let re = map(value, (item, key) => {
            return { item: item, key: key };
        });
        return re;
    }
};
MapPipe = __decorate([
    Pipe({
        name: "map"
    })
], MapPipe);

let ShufflePipe = class ShufflePipe {
    transform(value, args) {
        return shuffle(value);
    }
};
ShufflePipe = __decorate([
    Pipe({
        name: 'shuffle'
    })
], ShufflePipe);

let SamplePipe = class SamplePipe {
    transform(value, args) {
        let item = sample(value, args);
        return item;
    }
};
SamplePipe = __decorate([
    Pipe({
        name: "sample"
    })
], SamplePipe);

let RangePipe = class RangePipe {
    transform(value, args) {
        return range(value, args);
    }
};
RangePipe = __decorate([
    Pipe({
        name: "range"
    })
], RangePipe);

let FlattenPipe = class FlattenPipe {
    transform(value, args) {
        return flatten(value);
    }
};
FlattenPipe = __decorate([
    Pipe({
        name: "flatten"
    })
], FlattenPipe);

let ValuesPipe = class ValuesPipe {
    transform(value, args) {
        return values(value);
    }
};
ValuesPipe = __decorate([
    Pipe({
        name: 'values'
    })
], ValuesPipe);

let InvertPipe = class InvertPipe {
    transform(value, args) {
        return invert(value);
    }
};
InvertPipe = __decorate([
    Pipe({
        name: 'invert'
    })
], InvertPipe);

const PIPES = [
    MapPipe,
    ShufflePipe,
    SamplePipe,
    RangePipe,
    FlattenPipe,
    ValuesPipe,
    InvertPipe
];
let UnderscoreModule = class UnderscoreModule {
};
UnderscoreModule = __decorate([
    NgModule({
        imports: [CommonModule],
        declarations: [...PIPES],
        exports: [...PIPES]
    })
], UnderscoreModule);

/**
 * Generated bundle index. Do not edit.
 */

export { UnderscoreModule, PIPES as ɵa, MapPipe as ɵb, ShufflePipe as ɵc, SamplePipe as ɵd, RangePipe as ɵe, FlattenPipe as ɵf, ValuesPipe as ɵg, InvertPipe as ɵh };
//# sourceMappingURL=iwe7-underscore.js.map
