import { __decorate, __spread } from 'tslib';
import { Pipe, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { map, shuffle, sample, range, flatten, values, invert } from 'underscore';

var MapPipe = /** @class */ (function () {
    function MapPipe() {
    }
    MapPipe.prototype.transform = function (value, args) {
        var re = map(value, function (item, key) {
            return { item: item, key: key };
        });
        return re;
    };
    MapPipe = __decorate([
        Pipe({
            name: "map"
        })
    ], MapPipe);
    return MapPipe;
}());

var ShufflePipe = /** @class */ (function () {
    function ShufflePipe() {
    }
    ShufflePipe.prototype.transform = function (value, args) {
        return shuffle(value);
    };
    ShufflePipe = __decorate([
        Pipe({
            name: 'shuffle'
        })
    ], ShufflePipe);
    return ShufflePipe;
}());

var SamplePipe = /** @class */ (function () {
    function SamplePipe() {
    }
    SamplePipe.prototype.transform = function (value, args) {
        var item = sample(value, args);
        return item;
    };
    SamplePipe = __decorate([
        Pipe({
            name: "sample"
        })
    ], SamplePipe);
    return SamplePipe;
}());

var RangePipe = /** @class */ (function () {
    function RangePipe() {
    }
    RangePipe.prototype.transform = function (value, args) {
        return range(value, args);
    };
    RangePipe = __decorate([
        Pipe({
            name: "range"
        })
    ], RangePipe);
    return RangePipe;
}());

var FlattenPipe = /** @class */ (function () {
    function FlattenPipe() {
    }
    FlattenPipe.prototype.transform = function (value, args) {
        return flatten(value);
    };
    FlattenPipe = __decorate([
        Pipe({
            name: "flatten"
        })
    ], FlattenPipe);
    return FlattenPipe;
}());

var ValuesPipe = /** @class */ (function () {
    function ValuesPipe() {
    }
    ValuesPipe.prototype.transform = function (value, args) {
        return values(value);
    };
    ValuesPipe = __decorate([
        Pipe({
            name: 'values'
        })
    ], ValuesPipe);
    return ValuesPipe;
}());

var InvertPipe = /** @class */ (function () {
    function InvertPipe() {
    }
    InvertPipe.prototype.transform = function (value, args) {
        return invert(value);
    };
    InvertPipe = __decorate([
        Pipe({
            name: 'invert'
        })
    ], InvertPipe);
    return InvertPipe;
}());

var PIPES = [
    MapPipe,
    ShufflePipe,
    SamplePipe,
    RangePipe,
    FlattenPipe,
    ValuesPipe,
    InvertPipe
];
var UnderscoreModule = /** @class */ (function () {
    function UnderscoreModule() {
    }
    UnderscoreModule = __decorate([
        NgModule({
            imports: [CommonModule],
            declarations: __spread(PIPES),
            exports: __spread(PIPES)
        })
    ], UnderscoreModule);
    return UnderscoreModule;
}());

/**
 * Generated bundle index. Do not edit.
 */

export { UnderscoreModule, PIPES as ɵa, MapPipe as ɵb, ShufflePipe as ɵc, SamplePipe as ɵd, RangePipe as ɵe, FlattenPipe as ɵf, ValuesPipe as ɵg, InvertPipe as ɵh };
//# sourceMappingURL=iwe7-underscore.js.map
